> ## Documentation Index
> Fetch the complete documentation index at: https://api-tools.memories.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Event

> Get one event

<Info>
  **Product**: Video Datalake
  **Host**: `https://api.memories.ai/datalake/v1`
  **Auth**: `Authorization: sk-mai-...`
</Info>

Fetch a single event by ID, including its `video_id`, `collection_id`, and `created_at`.

<Note>
  **Pricing:** \$0.001 / call · See [Pricing](/datalake/pricing) for the full model.
</Note>

## Response Fields

<ResponseField name="video_id" type="string">Owning video.</ResponseField>
<ResponseField name="collection_id" type="string">Owning collection.</ResponseField>


## OpenAPI

````yaml GET /datalake/v1/events/{event_id}
openapi: 3.1.0
info:
  title: Memories.ai DataLake API 2.0
  version: 2026-08
  description: OpenAPI mapping used by Mintlify Try it for the DataLake API 2.0 docs.
servers:
  - url: https://api.memories.ai
security:
  - ApiKeyAuth: []
paths:
  /datalake/v1/events/{event_id}:
    get:
      tags:
        - Events (Safety)
      summary: Get one event
      description: >-
        Fetch a single event by ID, including its `video_id`, `collection_id`,
        and `created_at`.
      operationId: get_event
      parameters:
        - name: event_id
          in: path
          required: true
          schema:
            type: string
          description: Event ID (`evt_` prefix).
      responses:
        '200':
          description: Success
          content:
            application/json:
              example:
                event_id: evt_xxx
                event_type: safety
                start: 812
                end: 816
                score: 0.86
                description: …
                video_id: vid_xxx
                collection_id: col_xxx
                created_at: …
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'Send `Authorization: sk-mai-...`'

````